pc-ff-multi-or-all-select,
pc-ff-category-instruction-chooser {
	width: 40em;
	display: block;
}

pc-ff-multi-or-all-select .catchooser_cats_wrap {
	height: auto;
	max-height: 20em;
	padding-top: 0.65em;
}

[data-form_kv_type="multiOrAllSelect"]>.form_kv_key {
	display: none !important;
}

pc-ff-multi-or-all-select-popup,
pc-ff-userchooser-popup,
pc-ff-category-instruction-chooser-popup,
.rd-treeview-popup-input {
	border: var(--rd-borderwidth-border-default) solid var(--cl-light-gray);
	border-radius: var(--rd-borderradius-border-md);
	display: block;
	line-height: 1.5em;
	padding: 0.3em var(--rd-spacing-x-sm);
}

pc-ff-multi-or-all-select-popup a,
pc-ff-userchooser-popup a,
pc-ff-category-instruction-chooser-popup a,
pc-ff-enum,
.rd-treeview-popup-input a {
	display: block;
	color: var(--cl-dark-grey);
}

pc-ff-multi-or-all-select-popup:hover,
pc-ff-userchooser-popup:hover,
pc-ff-category-instruction-chooser-popup:hover,
.rd-treeview-popup-input:hover,
.pcDesignControls select:hover {
	border: var(--rd-borderwidth-border-default) solid var(--cl-light-grey);
	/* border: 1px solid var(--cl-dark-grey); */
}

pc-quick-component {
	display: block;
}

pc-ff-multi-or-all-select-popup::after,
pc-ff-userchooser-popup::after,
pc-ff-category-instruction-chooser-popup::after,
.rd-treeview-popup-input::after,
.pcDesignControls pc-ff-enum::after {
	content: "";
	pointer-events: none;
	position: absolute;
	right: 12px;
	top: 10px;
	/* color: var(--cl-dark-grey);
  font-size: var(--rd-fontsize-4); */
	mask-image: url(/src/img/2023/svg/icons/rd-icon-arrowDown.svg);
	-webkit-mask-image: url(/src/img/2023/svg/icons/rd-icon-arrowDown.svg);
	width: 15px;
	height: 15px;
	background-color: var(--rd-font-dark);
}

.pc_referentSelector_wrap {
	display: block;
	position: relative;
	display: grid;
	grid-template-columns: auto 36px;
	gap: var(--rd-spacing-x-sm);
}

.pc_referentSelector_wrap select {
	width: 100%;
	padding: var(--rd-spacing-x-sm);
	border-radius: var(--rd-borderradius-border-md);
}

.pcDesignControls select {
	-moz-appearance: none;
	-webkit-appearance: none;
	appearance: none;
	border: none;
	cursor: pointer;
	/* border: 1px solid var(--cl-light-green); */
	border: var(--rd-borderwidth-border-default) solid var(--cl-light-gray);
	display: block;
	line-height: 1.5em;
	padding: 0.3em var(--rd-spacing-x-sm);
	padding-bottom: var(--rd-spacing-xx-sm) !important;
}

pc-wizard {
	display: block;
}

pc-json pre {
	overflow: auto;
	font-size: var(--rd-fontsize-3);
	line-height: 1.25em;
	color: var(--cl-asphalt-blue);
}

.pcx_wizard_progressbar {
	width: 100%;
	height: 4px;
	/* border: 1px solid var(--cl-dark-grey); */
	position: relative;
	margin-top: var(--rd-spacing-x-sm);
	margin-bottom: var(--rd-spacing-md);
	/* position: relative; */

	display: none !important;
}

.pcx_wizard_progressbar::after {
	content: " ";
	background: var(--cl-light-grey);
	width: 100%;
	height: 1px;
	left: 0;
	top: 1px;
	position: absolute;
	z-index: 0;
}

.pcx_wizard_progressbar_inner {
	position: absolute;
	left: 0;
	top: 0;
	bottom: 0;
	background: var(--cl-deep-green);
	transition: all 250ms cubic-bezier(0.77, 0, 0.18, 1);
	z-index: 1;
}

.pcx_progressgroups {
	display: flex;
	justify-content: space-between;
	padding: var(--rd-spacing-x-sm) 0px 9px 0px;
	box-shadow: 0 0 10px 0 rgba(63, 63, 68, 0.5);
	/* height: 52px; */
	position: relative;
	background: var(--rd-font-light);
}

.pcx_progressgroups::after {
	content: "";
	position: absolute;
	left: 0;
	top: 50%;
	width: 100%;
	right: 0;
	height: 2px;
	background: #dfe3e8;
	z-index: 0;
}

.pcx_progressgroup {
	font-size: var(--rd-fontsize-5);
	color: var(--cl-asphalt-blue);
	position: relative;
	display: flex;
	background: var(--rd-font-light);
	z-index: 1;
	padding-left: var(--rd-spacing-xx-lg);
	padding-right: var(--rd-spacing-xx-lg);
}

.pcx_progressgroup:first-of-type {
	padding-left: var(--rd-spacing-sm);
}

.pcx_progressgroup:last-of-type {
	padding-right: var(--rd-spacing-sm);
}

.modal_dialog.wizard .pcx_progressgroups {
	/* display:none; */
	box-shadow: none;
}

/* .modal_dialog.wizard .pcx_progressgroups::after {
  display: none;
} */

.modal_dialog.wizard .pcx_wizard_progressbar {
	display: block !important;
}

.modal_dialog.wizard.singleSlide .pcx_wizard_progressbar {
	display: none !important;
}

.pcx_progressgroup .pcx_progressgroup_bubble {
	/* content: ""; */
	width: 32px;
	height: 32px;
	display: block;
	/* position: absolute; */
	/* left: -34px; */
	top: 0;
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
	border-radius: 100%;
	background-color: var(--cl-light-grey);
	text-align: center;
	font-size: var(--rd-fontsize-4);
	display: flex;
	justify-content: center;
	align-items: center;
	color: var(--cl-dark-gray);
	margin-right: var(--rd-spacing-x-sm);
}

.pcx_progressgroup_label {
	font-size: var(--rd-fontsize-4);
	line-height: 32px;
	white-space: nowrap;
}

.pcx_progressgroup[data-current="true"] .pcx_progressgroup_bubble {
	background-color: var(--rd-primary-active);
	color: var(--rd-font-light);
}

.pcx_progressgroup[data-complete="true"] .pcx_progressgroup_bubble {
	background-color: var(--cl-deep-green);
	background-image: url("/src/img/svg/af/check-white.svg");
	background-size: 15px;
	background-repeat: no-repeat;
	background-position: center;
}

.pclib_dynformwrap .kurseditform {
	margin-top: var(--rd-spacing-xxx-big);
}

.pclib_dynformwrap .fromoverlay,
.pclib_dynformwrap .bgform {
	position: fixed;
}

.gencertselform {
	margin-top: var(--rd-spacing-md) !important;
}

.gencertselform .cert_select {
	text-align: center;
	margin-top: var(--rd-spacing-lg);
	max-height: 65vh;
	overflow: auto;
}

/* [data-form_kv_type="certificateTemplate"]  */

.pcx_timevalue {
	display: grid;
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
	grid-template-columns: 36px 6em 36px;
}

.pcx_timevalue_decrease,
.pcx_timevalue_increase {
	display: inline-block;
	width: 36px;
	height: 36px;
	vertical-align: middle;
	background-image: url("/src/img/svg/af/chevron-right-gray.svg");
	background-repeat: no-repeat;
	background-size: 12px;
	background-position: center;
	color: var(--rd-font-dark);
	border: var(--rd-borderwidth-border-default) solid var(--cl-light-grey);
}

.pcx_timevalue input {
	border: var(--rd-borderwidth-border-default) solid var(--cl-light-grey) !important;
	border-radius: var(--rd-borderradius-border-none) !important;
	text-align: center;
}

.pcx_timevalue_increase {
	border-left: none;
}

.pcx_timevalue_decrease {
	background-image: url("/src/img/svg/af/chevron-left-gray.svg");
	border-right: var(--rd-borderwidth-border-default) solid var(--cl-light-grey);
}

.modal_dialog_top_title,
.pcx_success_dialog_title {
	/* margin-left: 2.25em; */
	/* padding-top: 1.5em; */
	font-weight: var(--rd-fontweights-open-sans-1);
	font-size: var(--rd-fontsize-5);
	color: var(--rd-font-dark);
	background: var(--cl-light-green);
	position: relative;
	display: block;
	z-index: 1;
	padding-bottom: var(--rd-spacing-x-sm);
	text-align: center;
	padding: 0;
	margin: 0;
	font-size: var(--rd-fontsize-8);
	line-height: 36px;
	color: var(--cl-asphalt-blue);
	background: transparent;
	margin-top: var(--rd-spacing-md);
}

.pcx_success_dialog {
	text-align: center;
}

.pcx_success_dialog_title {
	margin-bottom: var(--rd-spacing-x-sm);
}

.pcx_success_dialog_wrap .modal_dialog_bottom {
	display: none;
}

.pcx_success_dialog_wrap .modal_dialog_mid {
	min-width: 24em;
}

.pcx_success_dialog_closelink a {
	color: var(--rd-font-dark);
	text-decoration: underline;
	display: block;
	margin-top: var(--rd-spacing-md);
	margin-bottom: var(--rd-spacing-md);
}

.pcx_success_dialog_icon {
	height: 42px;
	background: url(/src/img/svg/check_in_circle.svg);
	background-position: center;
	background-repeat: no-repeat;
	background-size: 36px;
}

.pcx_success_dialog_body {
	line-height: 1.75em;
}

.pcx_arrayvalue_itemwrap {
	margin-bottom: var(--rd-spacing-x-sm);
	padding: var(--rd-spacing-md);
	position: relative;
	background-color: var(--cl-error);
	background-color: var(--cl-light-blue);
	padding-bottom: 0;
}

.pcx_arrayvalue_itemwrap .formfields {
	padding: 0;
}

.pcx_arrayvalue_removelink {
	position: absolute;
	right: 1em;
	text-align: 0;
	top: 1.25em;
	font-weight: var(--rd-fontweights-open-sans-0);
	color: var(--cl-dark-grey);
	display: block;
	z-index: 1;
}

.pcx_datetimevalue_readonly {
	font-family: monospace;
	font-size: var(--rd-fontsize-4);
	color: var(--cl-ocean-blue);
}

[data-form_kv_type="hiddenID"] {
	display: none !important;
}

.pcx_picvalue_addlink {
	display: inline-block;
	/* width: 1.75em; */
	text-align: center;
	display: inline-block;
	text-decoration: none !important;
	color: var(--rd-font-dark);
	line-height: 1.75em;
	border: var(--rd-borderwidth-border-default) solid var(--cl-black-alpha30);
	margin-right: var(--rd-spacing-xx-sm);
	background: linear-gradient(180deg, var(--cl-deep-green) 0%, var(--cl-deep-green) 100%);
	margin-bottom: var(--rd-spacing-x-sm);
	padding: 0em var(--rd-spacing-x-sm);
}

.pcx_picvalue_preview {
	min-height: 256px;
	background-image: url(/src/img/svg/cloudicon1.svg);
	background-repeat: no-repeat;
	background-position: center;
	background-color: #dfe3e8;
}

.pcx_picvalue_preview.notEmpty {
	background-size: cover;
}

.pcx_picvalue_addlink span {
	/* font-size: 20px; */
	/* font-weight: bold; */
	color: var(--rd-font-light);
	/* font-family: monospace; */
	font-size: var(--rd-fontsize-4);
	font-weight: var(--rd-fontweights-open-sans-1);
}

.pcx_arrayvalue_ctrl {
	margin-bottom: var(--rd-spacing-x-sm);
}

/*  */

.pcx_picvalue {
	/* display: grid;
  grid-template-columns: auto 9em;
  gap: 1em; */

	cursor: pointer;
}

/* .pcx_picvalue_preview img {
  width: 100%;
} */

.pcx_picvalue_urlwrap {
	display: grid;
	grid-template-columns: 60% auto;
	gap: var(--rd-spacing-md);
	width: 100%;
	/* border: 1px solid rebeccapurple; */
}

.pcx_picvalue_urlwrap a.button {
	text-align: center;
}

.tox.tox-tinymce {
	max-width: 100% !important;
}

.pcx_htmlvalue_wrap_compact_true .tox .tox-tbtn {
	height: 28px;
	/* width: 28px; */
}

.pcx_htmlvalue_wrap_compact_true .tox-toolbar__group:nth-of-type(1) {
	display: none;
}

pc-ff-html[data-fullscreen="true"] .simditor,
pc-ff-html[data-fullscreen="true"] .simditor-wrapper {
	position: fixed;
	left: 0;
	top: 0;
	right: 0;
	width: 100%;
	background: var(--rd-font-light);
	bottom: 0;
	height: 100%;
	overflow: auto;
	max-width: unset;
	max-height: unset;
	z-index: 1;
}

pc-ff-html[data-fullscreen="true"] .simditor-wrapper {
	position: absolute;
}

.simditor-icon-fullscreen {
	background: url("/src/img/svg/af/arrows-alt_gray.svg");
	width: 100%;
	height: 100%;
	display: block !important;
	position: relative;
	background-repeat: no-repeat;
	background-position: center;
	background-size: 18px;
}

.tox.tox-tinymce.tox-fullscreen .tox-toolbar__group:nth-of-type(1) {
	display: flex;
}

.tox-fullscreen .modal_ground.litui {
	z-index: 1000;
}

.formfieldrow.form_kv[data-form_kv_type="datetime"]>.form_kv_value .input-append.datetime {
	opacity: 0;
	transition: opacity 200ms ease-out;
}

.formfieldrow.form_kv[data-form_kv_type="datetime"]>.form_kv_value [data-dateisempty="false"] .input-append.datetime {
	opacity: 1;
}

[data-form_kv_type="date"] .add-on.icon-calendar,
[data-form_kv_type="datetime"] .add-on.icon-calendar {
	right: 10px;
}

.litui.modal_ground .formfieldrow .formlabel,
.litui.modal_ground .formfieldrow .form_kv_key,
.litui.modal_ground .form_kv {
	display: block;
	width: 100%;
	text-align: left;
	padding: 0;
	margin: 0;
}

.litui.modal_ground {
	z-index: 1332;
}

[data-modalgroup="pcFilemanagerPopup"].litui.modal_ground {
	z-index: 13999;
}

.litui.modal_ground .formfieldrow .form_kv_key {
	margin-top: var(--rd-spacing-md);
	margin-bottom: var(--rd-spacing-xx-sm);
}

.litui.modal_ground .formfieldrow .form_kv_value {
	margin-bottom: var(--rd-spacing-md);
}

.litui.modal_ground .formfieldrow.form_kv[data-form_kv_type="headline"],
.litui.modal_ground .formfieldrow.form_kv[data-form_kv_type="subheadline"] {
	border-bottom: none;
}

[data-form_kv_type="bigheadline"]>div {
	font-size: var(--rd-fontsize-11);
	line-height: 36px;
	font-weight: var(--rd-fontweights-open-sans-0);
	color: var(--rd-font-dark);
	margin-bottom: var(--rd-spacing-md);
}

[data-form_kv_type="subheadline"]>div {
	font-size: var(--rd-fontsize-5);
	line-height: 29px;
	color: var(--cl-asphalt-blue);
}

[data-form_kv_type="introText"]>div {
	font-size: var(--rd-fontsize-5);
	line-height: 24px;
	color: var(--cl-asphalt-blue);
	margin-bottom: var(--rd-spacing-md);
}

.pcx_checkbox .dcle_name {
	width: calc(100% - 40px);
	display: inline-block;
}

.pcx_checkbox .dcle_name>label {
	width: 100%;
	display: inline-block;
	cursor: pointer;
}

.pcx_checkbox:hover {
	background: var(--cl-light-green);
}

.pcx_checkbox.pcx_checkbox_disabled_true .dcle_cb label::before {
	border: var(--rd-borderwidth-border-default) solid var(--cl-dark-grey);
	background-color: var(--cl-dark-grey);
}

.pcx_checkbox_disabled_true label {
	color: var(--cl-light-grey);
}

.pcx_iconalert {
	/*padding: var(--rd-spacing-md);
	display: block;
	 display: grid;
	grid-template-columns: var(--rd-spacing-xx-lg) auto var(--rd-spacing-xx-lg); */
}

.pcx_iconalert_msg {
	/* font-size: var(--rd-fontsize-11); ?? Ronny*/
	font-size: var(--rd-fontsize-8);
	text-align: center !important;
	/* padding: var(--rd-spacing-x-sm) var(--rd-spacing-xxx-big); */
	padding: 0 var(--rd-spacing-x-huge);
	max-width: 42em;
	font-weight: var(--rd-fontweights-open-sans-1);
	line-height: normal;
	color: var(--rd-font-dark);
	margin-bottom: var(--rd-spacing-xxx-big);

}

.modal_dialog .pcx_iconalert_msg {
	text-align: left;
}

/* .pcx_iconalert_icon {
	mask-image: url("/src/img/svg/info_icon.svg");
	-webkit-mask-image: url("/src/img/svg/info_icon.svg");
	mask-size: contain;
	mask-repeat: no-repeat;
	mask-position: center top;
	-webkit-mask-size: contain;
	-webkit-mask-repeat: no-repeat;
	-webkit-mask-position: center;
	background: var(--rd-primary-active);
	max-width: 3em;
}

.pcx_iconalert_icon.confirm {
	mask-image: url("/src/img/svg/frageicon.svg");
	-webkit-mask-image: url("/src/img/svg/frageicon.svg");
} */



/* .rd-optHTML-result .pcx_iconalert_msg h4::before {
	content: "";
	mask-size: contain;
	-webkit-mask-size: contain;
	mask-position: 50%;
	-webkit-mask-position: 50%;
	mask-repeat: no-repeat;
	-webkit-mask-repeat: no-repeat;
	display: inline-block;
	margin-right: 4px;
	height: 30px;
	width: 30px;
	vertical-align: middle;
	background-color: var(--rd-primary-active);
	align-self: center;
	mask-image: url("/src/img/2024/svg/icons/rd-icon-zauberstab.svg");
	-webkit-mask-image: url("/src/img/2024/svg/icons/rd-icon-zauberstab.svg");
}

.rd-optHTML-result .pcx_iconalert_msg h4 {
	display: grid;
	grid-template-columns: 35px auto;
	line-height: 1.25em;
} */

.rd-optHTML-result .pcx_iconalert_msg h4 {
	line-height: 1.25em;
}

.rd-optHTML-result .pcx_iconalert_icon.confirm {
	mask-image: url("/src/img/2024/svg/icons/rd-icon-zauberstab.svg");
	-webkit-mask-image: url("/src/img/2024/svg/icons/rd-icon-zauberstab.svg");
}

.rd-opt-html-ainote {
	font-size: var(--rd-fontsize-4);
	font-weight: var(--rd-fontweights-open-sans-2);
	line-height: var(--rd-lineheights-0);
	letter-spacing: 0.14px;
	text-align: center;
	margin-top: var(--rd-spacing-x-sm);
}

.bold {
	font-weight: var(--rd-fontweights-open-sans-0);
}

pc-option-matrix table th {
	writing-mode: vertical-rl;
	vertical-align: top;
	transform: rotate(180deg) translate(10px);
	padding: var(--rd-spacing-sm) 0;
	min-width: 2em;
}

pc-option-matrix table th div {
	word-wrap: break-word;
	line-height: 1em;
	padding: 0;
}

pc-option-matrix table td {
	text-align: center;
}

pc-option-matrix table [data-isFocus="true"] {
	background: beige;
}

pc-option-matrix table .optionMatrixRowLabel {
	font-weight: var(--rd-fontweights-open-sans-0);
	text-align: right;
	padding-right: var(--rd-spacing-sm);
}

pc-option-matrix table .dcle_cb label {
	vertical-align: unset;
	margin: 0;
	width: 18px;
	height: 18px;
	margin-top: var(--rd-spacing-xx-sm);
}

@media (max-width: 900px) {
	.pcx_progressgroup:first-of-type {
		padding-left: var(--rd-spacing-xx-sm);
	}

	.pcx_progressgroup:last-of-type {
		padding-right: var(--rd-spacing-xx-sm);
	}

	.pcx_progressgroup {
		padding-right: var(--rd-spacing-xx-sm);
		padding-left: var(--rd-spacing-xx-sm);
	}

	.pcx_progressgroups::after {
		display: none !important;
	}
}

@media (max-width: 900px) {
	.pcx_iconalert {
		grid-template-columns: 1fr;
		justify-items: center;
		gap: var(--rd-spacing-xxx-big);
	}

	.pcx_iconalert_icon {
		height: 50px;
		width: 50px;
	}

	.pcx_iconalert_msg {
		padding: 0 !important;
	}
}